
  <!DOCTYPE html>
  <html>
    <head>
      <title>ProjectCard.tsx</title>
      <link href="https://cdn.jsdelivr.net/npm/semantic-ui@2.4.2/dist/semantic.min.css" type="text/css" rel="stylesheet">
      <script src="https://cdnjs.cloudflare.com/ajax/libs/codemirror/5.58.2/codemirror.min.js" type="text/javascript" charset="utf-8"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/codemirror/5.58.2/mode/javascript/javascript.min.js" type="text/javascript" charset="utf-8"></script>
<link href="https://cdnjs.cloudflare.com/ajax/libs/codemirror/5.58.2/codemirror.min.css" type="text/css" rel="stylesheet">
<script src="../../../../assets/source-file.js" type="text/javascript" charset="utf-8"></script>
<link href="../../../../assets/source-file.css" type="text/css" rel="stylesheet">
    </head>
    <body>
    <div style="margin-top:3em" class="ui container"><h1 class="ui header"><a href="../../../../index.html">TypeScript coverage report</a></h1><table style="margin-top:2em" class="ui celled table"><thead class=""><tr class=""><th class="">Filename</th><th class="">Percent</th><th class="">Threshold</th><th class="">Total</th><th class="">Covered</th><th class="">Uncovered</th></tr></thead><tbody class=""><tr class="positive"><td class="">src/components/ProjectCard/ProjectCard.tsx</td><td class="">100.00%</td><td class="">80%</td><td class="">180</td><td class="">180</td><td class="">0</td></tr></tbody></table><textarea id="editor" readonly="" style="margin-top:3em">import React, { useState } from &#x27;react&#x27;;
import { format } from &#x27;date-fns&#x27;;
import s from &#x27;./ProjectCard.module.scss&#x27;;

import { BaseComponent } from &#x27;../../utils/BaseComponent&#x27;;
import cloneSelection from &#x27;./assets/clone-selection.svg&#x27;;
import digitalTwin from &#x27;./assets/digital-twin.svg&#x27;;
import dropdownIcon from &#x27;./assets/dropdown-icon.svg&#x27;;
import { useHistory } from &#x27;react-router-dom&#x27;;
import { Paths } from &#x27;../../routes/paths&#x27;;
import { Project } from &#x27;../../pages/projects&#x27;;
import { useDeleteProject } from &#x27;../../queries/projects&#x27;;
import { Modal } from &#x27;../Modal/Modal&#x27;;
import { Button, ButtonVariant } from &#x27;../Button/Button&#x27;;
import clsx from &#x27;clsx&#x27;;

export interface ProjectCardProps extends BaseComponent {
  project: Project;
  disabled?: boolean;
}

export const ProjectCard: React.FC&lt;ProjectCardProps&gt; = ({
  disabled,
  project: { id, name, type, date_modified, creating_step }
}) =&gt; {
  const history = useHistory();
  const [isModalOpen, setModalOpen] = useState(false);
  const { mutate, isLoading } = useDeleteProject({
    onSuccess: () =&gt; setModalOpen(false)
  });
  const isCloneSelection = type === &#x27;clone selection&#x27;;
  return (
    &lt;div
      className={clsx(s.ProjectCard, disabled &amp;&amp; s.ProjectCard_disabled)}
      onClick={(e) =&gt; {
        if (!disabled) {
          history.push(
            (isCloneSelection
              ? Paths.CLONE_SELECTION_MODEL_CONFIGURATION
              : Paths.DIGITAL_TWIN_MODEL_CONFIGURATION
            ).replace(/:projectId/gi, id.toString())
          );
        }
      }}
    &gt;
      {isModalOpen &amp;&amp; (
        &lt;Modal
          onClose={() =&gt; setModalOpen(false)}
          title={`Delete project ${name}`}
        &gt;
          &lt;div className={s.Modal__content}&gt;
            &lt;div className={s.Modal__actionText}&gt;
              Are you sure that you want to delete a project?
            &lt;/div&gt;
            &lt;div className={s.Modal__buttons}&gt;
              &lt;Button
                hoverVariant={ButtonVariant.ACTION}
                onClick={() =&gt; {
                  mutate({ projectId: id });
                }}
                disabled={isLoading}
              &gt;
                Delete
              &lt;/Button&gt;
              &lt;Button
                hoverVariant={ButtonVariant.ACTION}
                onClick={() =&gt; {
                  setModalOpen(false);
                }}
              &gt;
                Cancel
              &lt;/Button&gt;
            &lt;/div&gt;
          &lt;/div&gt;
        &lt;/Modal&gt;
      )}
      &lt;div className={s.ProjectCard__head}&gt;
        &lt;img alt={type} src={isCloneSelection ? cloneSelection : digitalTwin} /&gt;
        &lt;div className={s.ProjectCard__dropdown}&gt;
          &lt;div className={s.ProjectCard__dropdownIcon}&gt;
            &lt;img alt=&quot;dropdown&quot; src={dropdownIcon} /&gt;
          &lt;/div&gt;
          &lt;div className={s.ProjectCard__dropdownContent}&gt;
            &lt;div
              onClick={(e) =&gt; {
                e.stopPropagation();
                setModalOpen(true);
              }}
            &gt;
              Delete project
            &lt;/div&gt;
          &lt;/div&gt;
        &lt;/div&gt;
      &lt;/div&gt;
      &lt;div className={s.ProjectCard__content}&gt;
        &lt;div className={s.ProjectCard__title}&gt;{name}&lt;/div&gt;
        &lt;div className={s.ProjectCard__titleContent}&gt;
          {type === &#x27;clone selection&#x27; ? &#x27;Clone selection&#x27; : &#x27;Digital twin&#x27;}
        &lt;/div&gt;
        &lt;div className={s.ProjectCard__owner}&gt;Owner&lt;/div&gt;
        &lt;div className={s.ProjectCard__ownerContent}&gt;Test user&lt;/div&gt;
        &lt;div className={s.ProjectCard__updated}&gt;
          {disabled ? &#x27;Render started &#x27; : &#x27;Updated &#x27;}
          {format(
            new Date(date_modified),
            disabled ? &#x27;dd MMMM yyyy, HH:mm&#x27; : &#x27;dd MMMM yyyy&#x27;
          )}
        &lt;/div&gt;
      &lt;/div&gt;
    &lt;/div&gt;
  );
};
</textarea><pre id="annotations" style="display:none">[]</pre></div>
    <p class="footer-text">TypeScript Coverage Report generated by <a href="https://github.com/plantain-00/type-coverage">type-coverage</a> and <a href="https://github.com/alexcanessa/typescript-coverage-report">typescript-coverage-report</a> at Tue, 05 Oct 2021 23:09:04 GMT</p>
    </body>
  </html>
  